function y=DiscCollLobatto(y0,f,Df,T,Nh,nNewton,s,b1,bs)

%calculate lobatto points and the coefficients of the method 

% input:    y0  starting value of the initial value problem
%           f   rhs of the initial value problem
%           Df  Jacobian of the rhs
%           T   end time
%           Nh  number of steps
%           nNewton     number of iterations of the Newton's method
%           s   number of collocation points
%           b1,bs   coefficients defined in (1.1) and (1.3)

%step width
%h=

%initial value
%y=

%loop over number of iterations
for ii=1:Nh
    
    %rephrase the collocation method as a root finding problem

     F=@(x) fNewton(x,f,s,A,y,h);

     DF=@(x) DfNewton(x,Df,s,A,y,h);

    % use as initial guess the current iterate for each k_i 
    % k0=

    
    %Solve the implicit system with nNewton iterations of Newton's method
    
    
    %Find the solution y at the new point
    %y=
    
end
end